Loading...
Searching...
No Matches
oval_sysint Struct Reference
OVAL » OVALSYS

Network interface description. More...

`#include <oval_system_characteristics.h>`

Collaboration diagram for oval_sysint:
[legend]

## Public Member Functions

OSCAP_API struct oval_sysint * | oval_sysint_new (struct oval_syschar_model *)
OSCAP_API struct oval_sysint * | oval_sysint_clone (struct oval_syschar_model *new_model, struct oval_sysint *old_sysint)
OSCAP_API void | oval_sysint_free (struct oval_sysint *)
Setters
OSCAP_API void | oval_sysint_set_name (struct oval_sysint *, char *)
OSCAP_API void | oval_sysint_set_ip_address (struct oval_sysint *, char *)
OSCAP_API void | oval_sysint_set_mac_address (struct oval_sysint *, char *)
Getters
OSCAP_API char * | oval_sysint_get_name (struct oval_sysint *)
| Get interface name.
OSCAP_API char * | oval_sysint_get_ip_address (struct oval_sysint *)
| Get interface IP address.
OSCAP_API char * | oval_sysint_get_mac_address (struct oval_sysint *)
| Get interface MAC address.

## Data Fields

struct oval_syschar_model * | model
char * | name
char * | ipAddress
char * | macAddress

## Detailed Description

Network interface description.

Instances of Oval_sysint are used to describe existing network interfaces on the system. This information can help identify a specific system on a given network. *

The documentation for this struct was generated from the following files:

- oval_sysInterface.c
- oval_system_characteristics.h